.\"	$NetBSD: rlogin.1,v 1.24 2005/03/11 13:14:34 wiz Exp $
.\"
.\" Copyright (c) 1983, 1990, 1993
.\"	The Regents of the University of California.  All rights reserved.
.\"
.\" Redistribution and use in source and binary forms, with or without
.\" modification, are permitted provided that the following conditions
.\" are met:
.\" 1. Redistributions of source code must retain the above copyright
.\"    notice, this list of conditions and the following disclaimer.
.\" 2. Redistributions in binary form must reproduce the above copyright
.\"    notice, this list of conditions and the following disclaimer in the
.\"    documentation and/or other materials provided with the distribution.
.\" 3. Neither the name of the University nor the names of its contributors
.\"    may be used to endorse or promote products derived from this software
.\"    without specific prior written permission.
.\"
.\" THIS SOFTWARE IS PROVIDED BY THE REGENTS AND CONTRIBUTORS ``AS IS'' AND
.\" ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
.\" IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
.\" ARE DISCLAIMED.  IN NO EVENT SHALL THE REGENTS OR CONTRIBUTORS BE LIABLE
.\" FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
.\" DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
.\" OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
.\" HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
.\" LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
.\" OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
.\" SUCH DAMAGE.
.\"
.\"	@(#)rlogin.1	8.2 (Berkeley) 4/29/95
.\"
.Dd July 16, 2005
.Dt RLOGIN 1
.Os
.Sh NAME
.Nm rlogin
.Nd remote login
.Sh SYNOPSIS
.Nm
.Op Fl 468Ed
.Op Fl e Ar char
.Op Fl l Ar username
.Op Fl p Ar port
.Ar host
.Nm
.Op Fl 468Ed
.Op Fl e Ar char
.Op Fl p Ar port
.Ar username@host
.Sh DESCRIPTION
.Nm
starts a terminal session on a remote host
.Ar host  .
.Pp
.Nm
first attempts to use the standard Berkeley
.Em rhosts
authorization mechanism.
The options are as follows:
.Bl -tag -width XlXusernameX
.It Fl 4
Use IPv4 addresses only.
.It Fl 6
Use IPv6 addresses only.
.It Fl 8
The
.Fl 8
option allows an eight-bit input data path at all times; otherwise
parity bits are stripped except when the remote side's stop and start
characters are other than
.Sq \&^S/^Q .
.It Fl E
The
.Fl E
option stops any character from being recognized as an escape character.
When used with the
.Fl 8
option, this provides a completely transparent connection.
.It Fl d
The
.Fl d
option turns on socket debugging (see
.Xr setsockopt 2 )
on the TCP sockets used for communication with the remote host.
.It Fl e Ar char
The
.Fl e
option allows user specification of the escape character, which is
.Dq \&~
by default.
This specification may be as a literal character, or as an octal
value in the form \ennn.
.It Fl l Ar username
the
.Fl l
option specifies an alternate
.Ar username
for the remote login.
If this option is not specified, your local username will be used.
.It Fl p Ar port
Uses the given
.Ar port
instead of the one assigned to the service
.Dq login .
May be given either as symbolic name or as number.
.El
.Pp
A line of the form
.Dq Ao escape char Ac Ns \&.
disconnects from the remote host.
Similarly, the line
.Dq Ao escape char Ac Ns ^Z
will suspend the
.Nm
session, and
.Dq Ao escape char Ac Ns Aq delayed-suspend char
suspends the
send portion of the rlogin, but allows output from the remote system.
By default, the tilde
.Pq Dq \&~
character is the escape character, and normally control-Y
.Pq Dq \&^Y
is the delayed-suspend character.
.Pp
All echoing takes place at the remote site, so that (except for delays) the
.Nm
is transparent.
Flow control via ^S/^Q and flushing of input and output on interrupts
are handled properly.
.Sh ENVIRONMENT
The following environment variable is used by
.Nm :
.Bl -tag -width TERM
.It Ev TERM
Determines the user's terminal type.
.El
.Sh SEE ALSO
.Xr rcmd 1 ,
.Xr rsh 1 ,
.Xr rcmd 3 ,
.Xr hosts.equiv 5 ,
.Xr rhosts 5 ,
.Xr environ 7
.Sh HISTORY
The
.Nm
command appeared in
.Bx 4.2 .
.Sh BUGS
More of the environment should be propagated.
